Get tasks
curl --request GET \
--url https://api.yume.cloud/v1/workshop/tasks/{task_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.yume.cloud/v1/workshop/tasks/{task_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.yume.cloud/v1/workshop/tasks/{task_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"client": {
"id": 123,
"name": "<string>",
"agreement_id": "<string>",
"phone": "<string>",
"type": 0,
"avatar": "<string>",
"signed": true,
"sign_date": "2023-12-25",
"sign_expires": "2023-12-25",
"email": "jsmith@example.com",
"legal_type": 0,
"extra": "<unknown>"
},
"inventory": {
"id": 123,
"name": "<string>",
"subleases": [
{
"id": 123,
"inventory": 123,
"user": 123,
"percent": "<string>",
"is_current": true,
"created_at": "2023-11-07T05:31:56Z",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z"
}
],
"car": {
"id": 123,
"type": "CAR",
"brand": "<string>",
"model": "<string>",
"number": "<string>",
"tech_passport": "<string>",
"serial": "<string>",
"vin": "<string>",
"extra": "<unknown>"
},
"group": 123,
"unique_id": "<string>",
"category": 123,
"image": "<string>",
"extra": "<unknown>",
"state": 123,
"disabled": 0,
"rental_point": 123
},
"resources": [
{
"id": 123,
"inventory": {
"id": 123,
"name": "<string>",
"subleases": [
{
"id": 123,
"inventory": 123,
"user": 123,
"percent": "<string>",
"is_current": true,
"created_at": "2023-11-07T05:31:56Z",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z"
}
],
"group": 123,
"unique_id": "<string>",
"category": 123,
"image": "<string>",
"extra": "<unknown>",
"state": 123,
"disabled": 0,
"rental_point": 123
},
"inventory_group": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted": true,
"name": "<string>",
"category": 123,
"unit_price": "<string>",
"unit_count": "<string>",
"unit_type": "litre",
"unit_sum": "<string>",
"image": "<string>",
"unique_id": "<string>",
"barcode": "<string>",
"extra": "<unknown>",
"filters": [
"<string>"
],
"points": [
-1
],
"published": true,
"type": 0,
"price": "<string>",
"lifetime": -1
},
"resource": {
"id": 123,
"name": "<string>",
"type": 0,
"price": "<string>",
"count": "<string>",
"count_left": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"task": 123,
"inventory_group_count": "<string>",
"price": "<string>",
"approved": true,
"extra": "<unknown>",
"tenant": 123,
"tarif": 123,
"approved_by": 123
}
],
"services": [
{
"id": 123,
"service": {
"id": 123,
"deleted": true,
"tarifs": [
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"service": 123,
"tenant": 123,
"name": "<string>",
"price": "<string>",
"duriation": 123,
"one_time_payment": true,
"published": true,
"order": -1
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"disabled": 0,
"name": "<string>",
"type": 0,
"unique_id": "<string>",
"bonus": "<string>",
"extra": "<unknown>",
"slug": "<string>",
"published": true,
"price": "<string>",
"image": "<string>",
"tenant": 123,
"category": 123,
"discount": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"task": 123,
"tarif_price": "<string>",
"tarif_duration": "<string>",
"price": "<string>",
"extra": "<unknown>",
"tenant": 123,
"tarif": 123
}
],
"images": [
{
"id": 123,
"thumb": "<string>",
"name": "<string>",
"extension": "<string>",
"hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"content_type": "<string>",
"object_id": 4611686018427388000,
"image": "<string>",
"type": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"price": "<string>",
"service_price": "<string>",
"resource_price": "<string>",
"created_by": 123,
"rental_point": 123,
"type": 0,
"status": 0,
"statement_type": 0,
"number": "<string>",
"paid_price": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"ordering": 1073741823,
"extra": "<unknown>",
"tenant": 123,
"stage": 123,
"worker": 123,
"request": 123,
"request_inventory": 123
}tasks
Get tasks
GET
/
v1
/
workshop
/
tasks
/
{task_id}
/
Get tasks
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Параметры пути
Ответ
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
255Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$0- Внутренняя1- Внешняя
Доступные опции:
0, 1 Требуемый диапазон:
-32768 <= x <= 327670- Новый1- В работе2- Завершено3- Архив
Доступные опции:
0, 1, 2, 3 Требуемый диапазон:
-32768 <= x <= 327670- Расход1- Приход
Доступные опции:
0, 1 Требуемый диапазон:
-32768 <= x <= 32767Maximum string length:
255Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Требуемый диапазон:
0 <= x <= 2147483647